package com.ejie.y42b.model;



/**
 *  * TipoOrganismo  
 *  
 */

public class TipoOrganismo  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private String torcodigo;
            private String tornombre;
            private String tornombree;
            private String tornombrei;
            private String tornombref;
            private String tornombrea;

	/** Method 'TipoOrganismo'.
	*
	*/
    public TipoOrganismo() {
    }

    /** Method 'TipoOrganismo'.
    * @param torcodigo String
    * @param tornombre String
    * @param tornombree String
    * @param tornombrei String
    * @param tornombref String
    * @param tornombrea String
    */
   public TipoOrganismo(String torcodigo, String tornombre, String tornombree, String tornombrei, String tornombref, String tornombrea) {	

           this.torcodigo = torcodigo;
           this.tornombre = tornombre;
           this.tornombree = tornombree;
           this.tornombrei = tornombrei;
           this.tornombref = tornombref;
           this.tornombrea = tornombrea;
    }

    /**
	 * Method 'getTorcodigo'.
	 *
	 * @return String
	 */
	
	
	public String getTorcodigo() {
		return this.torcodigo;
	}

	/**
	 * Method 'setTorcodigo'.
	 *
	 * @param torcodigo String
	 * @return
     */
	
	public void setTorcodigo(String torcodigo) {
		this.torcodigo = torcodigo;
	}
    /**
	 * Method 'getTornombre'.
	 *
	 * @return String
	 */
	
	
	public String getTornombre() {
		return this.tornombre;
	}

	/**
	 * Method 'setTornombre'.
	 *
	 * @param tornombre String
	 * @return
     */
	
	public void setTornombre(String tornombre) {
		this.tornombre = tornombre;
	}
    /**
	 * Method 'getTornombree'.
	 *
	 * @return String
	 */
	
	
	public String getTornombree() {
		return this.tornombree;
	}

	/**
	 * Method 'setTornombree'.
	 *
	 * @param tornombree String
	 * @return
     */
	
	public void setTornombree(String tornombree) {
		this.tornombree = tornombree;
	}
    /**
	 * Method 'getTornombrei'.
	 *
	 * @return String
	 */
	
	
	public String getTornombrei() {
		return this.tornombrei;
	}

	/**
	 * Method 'setTornombrei'.
	 *
	 * @param tornombrei String
	 * @return
     */
	
	public void setTornombrei(String tornombrei) {
		this.tornombrei = tornombrei;
	}
    /**
	 * Method 'getTornombref'.
	 *
	 * @return String
	 */
	
	
	public String getTornombref() {
		return this.tornombref;
	}

	/**
	 * Method 'setTornombref'.
	 *
	 * @param tornombref String
	 * @return
     */
	
	public void setTornombref(String tornombref) {
		this.tornombref = tornombref;
	}
    /**
	 * Method 'getTornombrea'.
	 *
	 * @return String
	 */
	
	
	public String getTornombrea() {
		return this.tornombrea;
	}

	/**
	 * Method 'setTornombrea'.
	 *
	 * @param tornombrea String
	 * @return
     */
	
	public void setTornombrea(String tornombrea) {
		this.tornombrea = tornombrea;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ torcodigo: ").append(this.torcodigo).append(" ]");
		result.append(", [ tornombre: ").append(this.tornombre).append(" ]");
		result.append(", [ tornombree: ").append(this.tornombree).append(" ]");
		result.append(", [ tornombrei: ").append(this.tornombrei).append(" ]");
		result.append(", [ tornombref: ").append(this.tornombref).append(" ]");
		result.append(", [ tornombrea: ").append(this.tornombrea).append(" ]");
		result.append("}");
		return result.toString();
	}


}

